package mqp.momometer;

import mpq.momometer.repositories.ActivityDataAdapter;
import mqp.momometer.classes.ActivityDataPoint;
import mqp.momometer.helpers.DialogHandler;
import mqp.momometer.helpers.HelperFunctions;
import android.app.Activity;
import android.app.Dialog;
import android.content.DialogInterface;
import android.content.DialogInterface.OnClickListener;
import android.os.Bundle;
import android.view.View;
import android.webkit.WebView;
import android.widget.Button;

public class ActivityDetailsActivity extends Activity {	

	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activitytrackingdetails);
	}

	public void btnClickHandler(View v)	
	{
		final CharSequence[] selectListItems;
		OnClickListener listener;
		switch (v.getId())
		{
		case R.id.btnActivityDetailTimeFrameSelection:

			int currentWeek = HelperFunctions.getCurrentWeek(this);
			selectListItems = new CharSequence[currentWeek+1];
			selectListItems[0] = "All Weeks";
			
			for (int i = 1; i <= currentWeek; i++)
			{
				selectListItems[i] = String.valueOf("Week " + i);
			}

			listener = new OnClickListener() {
				@Override
				public void onClick(DialogInterface dialog, int item) {
					Button btn = (Button) findViewById(R.id.btnActivityDetailTimeFrameSelection);
					btn.setText(selectListItems[item].toString());
					
					// Generate graph
					GenerateGraph(item);
				}
			};

			Dialog timeFrameDialog = DialogHandler.createSingleSelectionDialog(
					"Select a time frame", selectListItems, this, listener);
			timeFrameDialog.show();
			break;
		}
	}
	
	private void GenerateGraph(int week) {
		// TODO Auto-generated method stub
		ActivityDataAdapter activityDataAdapter = new ActivityDataAdapter(this);
		ActivityDataPoint dp = activityDataAdapter.getActivityDataPointByWeek(week);			
				
		String chartTitle = "Fitness+Activity";
		if (week == 0)
		{
			chartTitle = "Overall+Fitness+Activity+Summary";
		}
		else 
		{
			chartTitle += "+Week+" + week;
		}
		
		String url = "http://chart.apis.google.com/chart"
			   + "?chs=300x225"
			   + "&cht=p"
			   + "&chds=0,200"
			   + "&chd=t:" + dp.getStanding() + "," + dp.getSitting() + "," + dp.getExercising()
			   + "&chdl=Active|Sedentary|Exercise"
			   + "&chtt=" + chartTitle;
		
		WebView chart = (WebView)findViewById(R.id.wvactivitytrackingdetail);
		chart.loadUrl(url);
	}
}
