package mqp.momometer;

import mpq.momometer.repositories.ActivityDataAdapter;
import mqp.momometer.classes.ActivityDataPoint;
import mqp.momometer.feedback.ActivityFeedBackGenerator;
import mqp.momometer.helpers.FactGenerator;
import mqp.momometer.helpers.HelperFunctions;
import android.app.Activity;
import android.os.Bundle;
import android.widget.RelativeLayout;
import android.widget.TextView;
import android.widget.RelativeLayout.LayoutParams;

public class ActivityOverviewActivity extends Activity{

	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activitytrackingoverview);	
		
		// Get data for current week
		int currentWeek = HelperFunctions.getCurrentWeek(this);
		ActivityDataAdapter adapter = new ActivityDataAdapter(this);		
		ActivityDataPoint dataPoint = adapter.getActivityDataPointByWeek(currentWeek);
		
		// Calculate performance
		int dp = ActivityFeedBackGenerator.GetQuantitativeFeedback(this, dataPoint);
		
		// Set up overview bar
		// Set the marker on screen
		RelativeLayout layout = (RelativeLayout)findViewById(R.id.activitytrackingsmileycontainer);
		
		LayoutParams lp = (LayoutParams) layout.getLayoutParams();		
		lp.setMargins(dp, 0, 0, 0);
		layout.setLayoutParams(lp);
		
		TextView txtHint = (TextView)findViewById(R.id.txtActivityTrackingHint);
		txtHint.setText(FactGenerator.getActivityFact(this));
	}
}
