package mqp.momometer;

import mqp.momometer.classes.ActivityType;
import mqp.momometer.helpers.DialogHandler;
import android.app.Activity;
import android.app.Dialog;
import android.content.DialogInterface;
import android.content.DialogInterface.OnClickListener;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

public class DetailSelectionActivity extends Activity {

	private int activityType;
	private int timeFrame;

	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.detailselectionscreen);

		activityType = this.getIntent().getExtras().getInt("Activity");

		TextView txtDescription = (TextView) findViewById(R.id.txtDetailSelectionDescription);
		txtDescription
				.setText("Choose from the following options to view your feedback: ");

	}

	public void btnClickHandler(View v) {
		final CharSequence[] selectListItems;
		OnClickListener listener;

		switch (v.getId()) {
		case R.id.btnDetailSelectionTimeFrame:

			selectListItems = new CharSequence[] { "Weekly", "Monthly" };

			listener = new OnClickListener() {
				@Override
				public void onClick(DialogInterface dialog, int item) {
					Button btn = (Button) findViewById(R.id.btnDetailSelectionTimeFrame);
					btn.setText(selectListItems[item].toString());
					timeFrame = item + 1;
				}
			};

			Dialog timeFrameDialog = DialogHandler.createSingleSelectionDialog(
					"Select a time frame", selectListItems, this, listener);
			timeFrameDialog.show();
			break;

		case R.id.btnDetailSelectionOkButton:

			switch (activityType) {
			case ActivityType.WEIGHTTRACKING:
				startActivity(new Intent(this, WeightDetailsActivity.class)
				.putExtra("timeFrame", timeFrame));
			case ActivityType.FOODTRACKING:
				startActivity(new Intent(this, FoodDetailsActivity.class)
						.putExtra("timeFrame", timeFrame));
			}

			break;
		}

	}
}
