package mqp.momometer;

import mpq.momometer.repositories.ActivityDataAdapter;
import mpq.momometer.repositories.WeightDataAdapter;
import mqp.momometer.classes.ActivityDataPoint;
import mqp.momometer.classes.ActivityType;
import mqp.momometer.feedback.ActivityFeedBackGenerator;
import mqp.momometer.feedback.WeightFeedBackGenerator;
import mqp.momometer.helpers.FactGenerator;
import mqp.momometer.helpers.HelperFunctions;
import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.widget.TextView;

public class FeedBackActivity extends Activity{
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.feedback);		
		int currentWeek = HelperFunctions.getCurrentWeek(this);
		
		int activity = this.getIntent().getExtras().getInt("Activity");
		String feedback = null;
		String tip = null;
		
		switch (activity)
		{
		case ActivityType.WEIGHTTRACKING:
			WeightDataAdapter weightDataAdapter = new WeightDataAdapter(this);
			currentWeek = HelperFunctions.getCurrentWeek(this);
			int previousWeek = currentWeek - 1;
			double previousWeekWeight = weightDataAdapter.getWeightByWeek(previousWeek);
			double currentWeekWeight = weightDataAdapter.getWeightByWeek(currentWeek);
			double gwg = currentWeekWeight - previousWeekWeight;
			
			// Get feedback
			feedback = WeightFeedBackGenerator.GetQualitativeFeedback(this, currentWeek, gwg);		
			
			// Get tip
			tip = FactGenerator.getWeightFact(this);
			break;
		case ActivityType.ACTIVITYTRACKING:
			ActivityDataAdapter adapter = new ActivityDataAdapter(this);		
			ActivityDataPoint dataPoint = adapter.getActivityDataPointByWeek(currentWeek);
			
			// Get feedback
			feedback = ActivityFeedBackGenerator.GetQualitativeFeedback(this, dataPoint.getExercising());
			
			// Get tip
			tip = FactGenerator.getActivityFact(this);
			break;
		}
		
		// Display the feedback
		TextView txtViewFeedback = (TextView) findViewById(R.id.txtViewConditionDesc);
		txtViewFeedback.setText(feedback);	
		
		// Display the tip
		TextView txtViewTip = (TextView) findViewById(R.id.txtFeedbackTrackingHint);
		txtViewTip.setText(tip);
	}
	
	public void btnOkClickHandler(View view)
	{
		finish();
	}
}
