package mqp.momometer;

import mpq.momometer.repositories.LookUpsDataAdapter;
import mqp.momometer.classes.MealType;
import mqp.momometer.helpers.DialogHandler;
import android.app.Activity;
import android.app.Dialog;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.DialogInterface.OnClickListener;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;


public class FoodInputActivity extends Activity{
	// Dialog window properties
	private MealType[] mealTypes;
	private CharSequence[] selectListItems;
	private int mealType = -1;
	
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.foodtrackinginput);			
	}
	
	public void btnFoodHandler(View view) {
		
		int id = view.getId();
		OnClickListener listener;
		switch (id) {
		
		case R.id.btnFoodMealTypeInput:
		
			LookUpsDataAdapter adapter = new LookUpsDataAdapter(this);
			mealTypes = adapter.getMealTypes();
			
			selectListItems = new CharSequence[mealTypes.length];
			for (int i = 0; i < mealTypes.length; i++)
			{
				selectListItems[i] = mealTypes[i].getDescription();	
			}				
			
			listener = new OnClickListener(){
				@Override
				public void onClick(DialogInterface dialog, int item) {
					Button btn = (Button)findViewById(R.id.btnFoodMealTypeInput);
					btn.setText(selectListItems[item]);
					mealType = mealTypes[item].getId();
					}
			};
			Dialog myDialog = DialogHandler.createSingleSelectionDialog("Select a meal type",selectListItems, this, listener);			
			myDialog.show();				
			break;

		case R.id.btnFoodContinue:		
			// Make sure the user has selected a meal type
			if (mealType != -1)
			{
				startActivity(new Intent(this,FoodInputActivityContinued.class).putExtra("mealType", mealType));
			}
			else
			{
				DialogHandler.toastNotify(this, "Please select a meal type before proceeding.");
			}
			break;
		} 	
	}	
}
