package mqp.momometer;

import java.util.Date;

import mpq.momometer.repositories.FoodDataAdapter;
import mqp.momometer.classes.FoodData;
import mqp.momometer.feedback.NutritionFeedBackGenerator;
import mqp.momometer.helpers.FactGenerator;
import mqp.momometer.helpers.HelperFunctions;
import android.app.Activity;
import android.os.Bundle;
import android.widget.RelativeLayout;
import android.widget.TextView;
import android.widget.RelativeLayout.LayoutParams;

public class FoodOverviewActivity extends Activity{
	
	private FoodDataAdapter foodDataAdapter;
	
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.foodtrackingoverview);	
		
		int currentWeek = HelperFunctions.getCurrentWeek(this);
		int dayofweek = new Date().getDay();
		foodDataAdapter = new FoodDataAdapter(this);			
		double totalCaloriesToday = foodDataAdapter.getCaloriesByDay(dayofweek, currentWeek);
		
		int dp = NutritionFeedBackGenerator.GetQuantitativeFeedbackByDay(this, totalCaloriesToday);
		
		// Set up overview bar
		// Set the marker on screen
		RelativeLayout layout = (RelativeLayout)findViewById(R.id.nutritiontrackingsmileycontainer);
		
		LayoutParams lp = (LayoutParams) layout.getLayoutParams();		
		lp.setMargins(dp, 0, 0, 0);
		layout.setLayoutParams(lp);
		
		TextView txtHint = (TextView)findViewById(R.id.txtFoodTrackingHint);
		txtHint.setText(FactGenerator.getNutritionFact(this));
	}
}
