package mqp.momometer;

import mpq.momometer.repositories.SharedPreferencesAdapter;
import mqp.momometer.helpers.DbSqlScript;
import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;

public class Main extends Activity {		 
	
    /** 
     * Called when the activity is first created. 
     */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);                                           
                
        // Check if database is setup                
        boolean databaseSetup = SharedPreferencesAdapter.isDbSetup(this);       
        if (!databaseSetup)
        {
        	// Create database if not yet created and populate it
            //DbSqlScript.ClearTables(this);
            DbSqlScript.CreateDatabaseAndTables(this);                
            DbSqlScript.InsertFoodGroups(this);
            DbSqlScript.InsertFoodCategories(this);
            DbSqlScript.InsertFoodItems(this);
            DbSqlScript.PopulateDatabase(this);          
            DbSqlScript.InsertTestInputData(this);
            SharedPreferencesAdapter.dbIsSetup(this);
        }
        
        /* 
         * Setup weekly and daily reminders to input wellness data for the app
         * The app will check against the database to see whether wellness data has been inputed
         * and will create an alert flag if necessary 
         */
        boolean appReminderSetup = SharedPreferencesAdapter.isAppReminderSetup(this);
        if (!appReminderSetup)
        {
        	
        }
        
        // Check that Google Health and Application settings have been set up
        int startingPregnancyWeek = SharedPreferencesAdapter.getStartingWeek(this);
        /*String profileId = SharedPreferencesAdapter.getGHealthProfile(this);
        if (profileId == null)
        {
        	startActivity(new Intent(this, GHealthSetupActivity.class));
        }
        else*/ if (startingPregnancyWeek == -1)
        {
        	startActivity(new Intent(this, SetupActivity.class));
        }
        else 
        {
            startActivity(new Intent(this, HomeActivity.class));
        }       
        //startActivity(new Intent(this, SetupActivity.class));
    }
}