package mqp.momometer;

import java.util.Date;

import mpq.momometer.repositories.ActivityDataAdapter;
import mpq.momometer.repositories.FoodDataAdapter;
import mpq.momometer.repositories.WeightDataAdapter;
import mqp.momometer.classes.ActivityDataPoint;
import mqp.momometer.feedback.ActivityFeedBackGenerator;
import mqp.momometer.feedback.NutritionFeedBackGenerator;
import mqp.momometer.feedback.WeightFeedBackGenerator;
import mqp.momometer.helpers.HelperFunctions;
import android.app.Activity;
import android.os.Bundle;
import android.widget.RelativeLayout;
import android.widget.RelativeLayout.LayoutParams;

public class ProgressOverviewActivity extends Activity {

	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.progresspage);
		
		/* Weight Tracking */
		WeightDataAdapter weightDataAdapter = new WeightDataAdapter(this);
		
		// Get current week GWG
		int currentWeek = HelperFunctions.getCurrentWeek(this);
		int previousWeek = currentWeek - 1;
		double previousWeekWeight = weightDataAdapter.getWeightByWeek(previousWeek);
		double currentWeekWeight = weightDataAdapter.getWeightByWeek(currentWeek);
		double gwg = currentWeekWeight - previousWeekWeight;
				
		int dp = WeightFeedBackGenerator.GetQuantitativeFeedbackByWeek(this, currentWeek, gwg);
		
		// Set the marker on screen
		RelativeLayout layout = (RelativeLayout)findViewById(R.id.progressweighttrackingsmileycontainer);
		
		LayoutParams lp = (LayoutParams) layout.getLayoutParams();		
		lp.setMargins(dp, 0, 0, 0);
		layout.setLayoutParams(lp);
		
		
		
		
		
		/* Nutrition Tracking */
		int dayofweek = new Date().getDay();
		FoodDataAdapter foodDataAdapter = new FoodDataAdapter(this);			
		double totalCaloriesToday = foodDataAdapter.getCaloriesByDay(dayofweek, currentWeek);
		
		dp = NutritionFeedBackGenerator.GetQuantitativeFeedbackByDay(this, totalCaloriesToday);
		
		// Set up overview bar
		// Set the marker on screen
		layout = (RelativeLayout)findViewById(R.id.progressnutritiontrackingsmileycontainer);
		
		lp = (LayoutParams) layout.getLayoutParams();		
		lp.setMargins(dp, 0, 0, 0);
		layout.setLayoutParams(lp);
		
		
		
		
		
		/* Activity Tracking */
		// Get data for current week		
		ActivityDataAdapter adapter = new ActivityDataAdapter(this);		
		ActivityDataPoint dataPoint = adapter.getActivityDataPointByWeek(currentWeek);
		
		// Calculate performance
		dp = ActivityFeedBackGenerator.GetQuantitativeFeedback(this, dataPoint);
		
		// Set up overview bar
		// Set the marker on screen
		layout = (RelativeLayout)findViewById(R.id.progressactivitytrackingsmileycontainer);
		
		lp = (LayoutParams) layout.getLayoutParams();		
		lp.setMargins(dp, 0, 0, 0);
		layout.setLayoutParams(lp);
	}
}
