package mqp.momometer;


import mpq.momometer.repositories.RemindersDataAdapter;
import mqp.momometer.adapters.RemindersListAdapter;
import mqp.momometer.alarms.AlarmController;
import mqp.momometer.classes.Reminder;
import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.ContextMenu;
import android.view.MenuItem;
import android.view.View;
import android.view.View.OnCreateContextMenuListener;
import android.view.ContextMenu.ContextMenuInfo;
import android.widget.AdapterView.AdapterContextMenuInfo;
import android.widget.ListView;

public class ReminderSettingActivity extends Activity {

	private RemindersListAdapter mAdapter;
	private RemindersDataAdapter remindersDataAdapter;

	// ===========================================================
	// Final Fields
	// ===========================================================
	protected static final int CONTEXTMENU_EDITITEM = 100;
	protected static final int CONTEXTMENU_DELETEITEM = 101;

	protected ListView lstReminders;
	protected int ReminderType;

	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.remindersettingsweight);

		ReminderType = this.getIntent().getExtras().getInt("reminderType");

		remindersDataAdapter = new RemindersDataAdapter(this);
		Reminder[] reminders = remindersDataAdapter.getReminders(ReminderType);

		mAdapter = new RemindersListAdapter(this);
		mAdapter.addItems(reminders);

		lstReminders = (ListView) findViewById(R.id.lstWeightReminders);
		lstReminders.setAdapter(mAdapter);
		lstReminders
				.setOnCreateContextMenuListener(new OnCreateContextMenuListener() {

					@Override
					public void onCreateContextMenu(ContextMenu menu, View v,
							ContextMenuInfo menuInfo) {
						// TODO Auto-generated method stub
						menu.setHeaderTitle("Select an option");
						menu.add(0, CONTEXTMENU_EDITITEM, 0, "Edit Reminder");
						menu.add(0, CONTEXTMENU_DELETEITEM, 1,
								"Delete Reminder");
					}
				});
	}

	@Override
	public boolean onContextItemSelected(MenuItem aItem) {
		AdapterContextMenuInfo menuInfo = (AdapterContextMenuInfo) aItem
				.getMenuInfo();

		/* Get the selected item out of the Adapter by its position. */
		Reminder selectedItem = (Reminder) lstReminders.getAdapter().getItem(
				menuInfo.position);

		/* Switch on the ID of the item, to get what the user selected. */
		switch (aItem.getItemId()) {
		case CONTEXTMENU_DELETEITEM:
			/* Remove it from the list. */
			RemindersListAdapter adapter = (RemindersListAdapter) lstReminders
					.getAdapter();
			adapter.removeItem(menuInfo.position);

			/* Remove it from the database */
			if (remindersDataAdapter.deleteReminder(selectedItem)) {
				/* Remove from the alarm service */
				AlarmController.DeleteReminder(this, selectedItem);
			}

			return true; /* true means: "we handled the event". */
		case CONTEXTMENU_EDITITEM:
			startActivity(new Intent(this, AddReminderActivity.class).putExtra(
					"reminderId", selectedItem.getId()).putExtra("activity", ReminderType));
		}
		return false;
	}

	public void addReminderHandler(View view) {
		startActivity(new Intent(this, AddReminderActivity.class).putExtra(
				"activity", ReminderType));
	}
	  
}
