package mqp.momometer;

import mpq.momometer.repositories.SharedPreferencesAdapter;
import mqp.momometer.helpers.DialogHandler;
import mqp.momometer.helpers.HelperFunctions;
import android.app.Activity;
import android.content.DialogInterface;
import android.content.DialogInterface.OnClickListener;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;

public class SetupActivity extends Activity {

	private int week;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.setupscreen);
	}

	public void btnHandler(View view) {
		switch (view.getId()) {
		case R.id.btnPregnancyWeek:
			final CharSequence[] weeks = new CharSequence[36];
			for (int i = 0; i < 36; i++) {
				weeks[i] = "Week " + String.valueOf(i + 1);
			}

			OnClickListener listener = new OnClickListener() {

				@Override
				public void onClick(DialogInterface dialog, int which) {
					// which is zero-based so we need to add 1 since week starts at 1
					week = which + 1;

					Button btnPregnancy = (Button) findViewById(R.id.btnPregnancyWeek);
					btnPregnancy.setText(weeks[which]);
				}
			};

			DialogHandler.createSingleSelectionDialog("Choose week:", weeks,
					this, listener).show();
			break;
		case R.id.btnPregnancyOk:

			if (week != 0) {

				EditText txtWeight = (EditText)findViewById(R.id.txtSetupWeight);
				EditText txtHeight = (EditText)findViewById(R.id.txtSetupHeight);
				EditText txtHeightInch = (EditText)findViewById(R.id.txtSetupHeightInch);

				Float weight = Float.parseFloat(txtWeight.getText().toString());
				int heightFeet = Integer.parseInt(txtHeight.getText().toString());
				int heightInches = Integer.parseInt(txtHeightInch.getText().toString());

				if (SharedPreferencesAdapter.setStartingWeek(this, week))
				{
					if (SharedPreferencesAdapter.setStartTimestamp(this,  HelperFunctions.getTimeStampString()))
					{
						SharedPreferencesAdapter.setStartingWeight(this, weight);
						SharedPreferencesAdapter.setStartingHeightFeet(this, heightFeet);
						SharedPreferencesAdapter.setStartingHeightInches(this, heightInches);
						startActivity(new Intent(this, HomeActivity.class));
					}
				}
			} else {
				DialogHandler.toastNotify(this,
						"Please select a week before proceeding.");
			}
			break;
		}
	}	
}
