package mqp.momometer;

import mpq.momometer.repositories.WeightDataAdapter;
import mqp.momometer.classes.ActivityType;
import mqp.momometer.classes.FoodDataPoint;
import mqp.momometer.classes.FoodDataPointSet;
import mqp.momometer.classes.WeightData;
import mqp.momometer.helpers.DialogHandler;
import mqp.momometer.helpers.GraphDrawer;
import mqp.momometer.helpers.HelperFunctions;
import android.app.Activity;
import android.app.Dialog;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.DialogInterface.OnClickListener;
import android.graphics.Bitmap;
import android.graphics.Bitmap.Config;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.os.Bundle;
import android.view.View;
import android.view.ViewGroup.LayoutParams;
import android.webkit.WebView;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.TextView;

public class WeightDetailsActivity extends Activity {
	static int draw_only_this_idx = -1;
	static int[] drawSizes;

	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);	
		setContentView(R.layout.weighttrackingdetails);
		GenerateGraph();
	}
	
/*	public void btnClickHandler(View v) {
		final CharSequence[] selectListItems;
		OnClickListener listener;

		switch (v.getId()) {
		case R.id.btnDetailSelectionTimeFrame:

			selectListItems = new CharSequence[] { "Weekly", "Monthly" };

			listener = new OnClickListener() {
				@Override
				public void onClick(DialogInterface dialog, int item) {
					Button btn = (Button) findViewById(R.id.btnDetailSelectionTimeFrame);
					btn.setText(selectListItems[item].toString());
				}
			};

			Dialog timeFrameDialog = DialogHandler.createSingleSelectionDialog(
					"Select a time frame", selectListItems, this, listener);
			timeFrameDialog.show();
			break;
		}
	}
*/	
	public void GenerateGraph()
	{
		WeightDataAdapter adapter = new WeightDataAdapter(this);	

		// Create data points for graph
		FoodDataPointSet dataPoints = adapter.getWeightDataPointsByWeek();		

		if (dataPoints.getLength() != 0)
		{		
			ConnectivityManager cm = (ConnectivityManager) getSystemService(CONNECTIVITY_SERVICE);
			NetworkInfo network = cm.getActiveNetworkInfo();
	
			if (network.isAvailable() && network != null) {
				WebView chartView = (WebView)findViewById(R.id.wvWeightDetails);
				
				int currentWeek = HelperFunctions.getCurrentWeek(this);
				String chartTitle ="Weight+by+Week";
				String dataset = dataPoints.GetXValuesSeparatedByComma() + "|" + dataPoints.GetYValuesSeparatedByComma();
				String lowestY = String.valueOf(dataPoints.GetLowestYValue());
				String highestY = String.valueOf(dataPoints.GetHighestYValue());
				String lowestX = "1";
				/* if current week is less than seven, set the highest x to 7 to make all x-values integers */
				String highestX = currentWeek >= 7 ? String.valueOf(currentWeek) : "7"; 							
				
				/* construct url to call google api chart */
				String url = "http://chart.apis.google.com/chart"
					   + "?chxl=1:|Week|3:|Weight"
					   + "&chxr=0,"+ lowestX + "," + highestX + "|2,"+ lowestY +"," + highestY
					   + "&chxt=x,r,y,t"
					   + "&chs=340x200"
					   + "&chco=76A4FB" 
					   + "&cht=lxy"
					   + "&chds="+ lowestX +"," + highestX +","+ lowestY +"," + highestY
					   + "&chd=t:" + dataset
					   + "&chls=1"
					   + "&chma=5"
					   + "&chtt=" + chartTitle;
				
				chartView.loadUrl(url);
			}
			else
			{
				TextView txt = (TextView)findViewById(R.id.txtWeightDetails);
				txt.setText("You dont have Internet connectivity. You must be connected to the Internet in order to retrieve your data for feedback");
			}
		}
		else 
		{
			TextView txt = (TextView)findViewById(R.id.txtWeightDetails);
			txt.setText("You have not entered any data yet.");
		}
	}
}