package mqp.momometer;

import mpq.momometer.repositories.WeightDataAdapter;
import mqp.momometer.alarms.NotificationController;
import mqp.momometer.classes.ActivityType;
import mqp.momometer.classes.WeightData;
import mqp.momometer.classes.WeightMeasurementType;
import mqp.momometer.helpers.DialogHandler;
import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;
import android.widget.RadioGroup;

public class WeightInputActivity extends Activity {

	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.weighttrackinginput);
	}

	public void btnWeightReminderEnterHandler(View view) {
		EditText weightInput = (EditText) findViewById(R.id.txtWeightInput);
		double weight = 0;
		
		// Check that we have a correct weight value
		try {
			weight = Double
					.parseDouble(weightInput.getText().toString());
		} catch (Exception e) {
			DialogHandler.toastNotify(this, "Please type in a correct weight");
			return;
		}
		
		RadioGroup radMeasurementType = (RadioGroup) findViewById(R.id.radGrpWeightMeasurement);
		int checkedBox = radMeasurementType.getCheckedRadioButtonId();
		int measurementType = WeightMeasurementType.Pounds;

		if (checkedBox == R.id.radKilograms) {
			measurementType = WeightMeasurementType.Kilo;
		} else if (checkedBox == R.id.radPounds) {
			measurementType = WeightMeasurementType.Pounds;
		}

		// Create weight data object
		WeightData w = new WeightData(0, weight, measurementType, null, 0);

		// Persist to db
		WeightDataAdapter adapter = new WeightDataAdapter(this);
		if (adapter.insertWeightData(w)) {

			NotificationController.RemoveNotification(this,
					ActivityType.WEIGHTTRACKING);
			DialogHandler.toastNotify(this, "Your weight has been recorded!");
		} else {
			DialogHandler.toastNotify(this,
					"Your weight could not be recorded. Please try again.");
		}

		// Navigate back to weight tracking screen
		startActivity(new Intent(this, TabFactoryActivity.class).putExtra(
				"Activity", ActivityType.WEIGHTTRACKING));
	}

}
