package mqp.momometer;

import mpq.momometer.repositories.WeightDataAdapter;
import mqp.momometer.feedback.WeightFeedBackGenerator;
import mqp.momometer.helpers.FactGenerator;
import mqp.momometer.helpers.HelperFunctions;
import android.app.Activity;
import android.os.Bundle;
import android.widget.RelativeLayout;
import android.widget.TextView;
import android.widget.RelativeLayout.LayoutParams;

public class WeightOverviewActivity extends Activity {

	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.weighttrackingoverview);
		
		WeightDataAdapter weightDataAdapter = new WeightDataAdapter(this);
		
		// Get current week GWG
		int currentWeek = HelperFunctions.getCurrentWeek(this);
		int previousWeek = currentWeek - 1;
		double previousWeekWeight = weightDataAdapter.getWeightByWeek(previousWeek);
		double currentWeekWeight = weightDataAdapter.getWeightByWeek(currentWeek);
		double gwg = currentWeekWeight - previousWeekWeight;
				
		int dp = WeightFeedBackGenerator.GetQuantitativeFeedbackByWeek(this, currentWeek, gwg);
		
		// Set the marker on screen
		RelativeLayout layout = (RelativeLayout)findViewById(R.id.weighttrackingsmileycontainer);
		
		LayoutParams lp = (LayoutParams) layout.getLayoutParams();		
		lp.setMargins(dp, 0, 0, 0);
		layout.setLayoutParams(lp);
		
		TextView txtHint = (TextView)findViewById(R.id.txtWeightTrackingHint);
		txtHint.setText(FactGenerator.getWeightFact(this));
	}
}
