package mqp.momometer.adapters;

import java.util.ArrayList;

import mqp.momometer.R;
import mqp.momometer.classes.Day;
import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.widget.CompoundButton.OnCheckedChangeListener;
import android.widget.TextView;

public class DaysListAdapter extends BaseAdapter {
	private ArrayList<Day> mData = new ArrayList<Day>();
	private ArrayList<Day> selectedDays = new ArrayList<Day>();
	private LayoutInflater mInflater;

	public DaysListAdapter(Context context, Day[] selected) {
		mInflater = LayoutInflater.from(context);
		mData.add(new Day(Day.Sunday, "Sunday", "Sun"));
		mData.add(new Day(Day.Monday, "Monday", "Mon"));
		mData.add(new Day(Day.Tuesday, "Tuesday", "Tue"));
		mData.add(new Day(Day.Wednesday, "Wednesday", "Wed"));
		mData.add(new Day(Day.Thursday, "Thursday", "Thu"));
		mData.add(new Day(Day.Friday, "Friday", "Fri"));
		mData.add(new Day(Day.Saturday, "Saturday", "Sat"));

		if (selected != null) {
			for (Day d : selected) {
				selectedDays.add(d);
			}
		}
	}

	public DaysListAdapter(Context context, Day[] days, Day[] selectedDays) {

	}

	public Day[] getSelectedDays() {
		return (Day[]) selectedDays.toArray(new Day[selectedDays.size()]);
	}

	@Override
	public int getCount() {
		return mData.size();
	}

	@Override
	public Day getItem(int position) {
		return mData.get(position);
	}

	@Override
	public long getItemId(int position) {
		return position;
	}

	@Override
	public View getView(int position, View convertView, ViewGroup parent) {
		ViewHolder holder = null;
		if (convertView == null) {
			convertView = mInflater.inflate(R.layout.chkboxlst, null);

			holder = new ViewHolder();
			holder.textView = (TextView) convertView
					.findViewById(R.id.chkBoxLstText);
			holder.checkBox = (CheckBox) convertView
					.findViewById(R.id.chkBoxLstCheckBox);

			convertView.setTag(holder);
		} else {
			holder = (ViewHolder) convertView.getTag();
		}
		
		Day day = mData.get(position);
		holder.textView.setText(day.getDescription());
		holder.checkBox.setTag(day);
		
		if (selectedDays.contains(new Day(position)))
		{
			holder.checkBox.setChecked(true);
		}		
		
		holder.checkBox
				.setOnCheckedChangeListener(new OnCheckedChangeListener() {
					@Override
					public void onCheckedChanged(CompoundButton buttonView,
							boolean isChecked) {
						Day selectedDay = (Day) buttonView.getTag();
						if (isChecked) {
							selectedDays.add(selectedDay);
						} else {
							selectedDays.remove(selectedDay);
						}
					}
				});
		return convertView;
	}

	private static class ViewHolder {
		private TextView textView;
		private CheckBox checkBox;
	}

}
