package mqp.momometer.adapters;

import java.util.ArrayList;
import mqp.momometer.R;
import mqp.momometer.classes.FoodItem;
import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.GridView;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;

public class FoodImageAdapter extends BaseAdapter{
    private Context mContext;
	private ArrayList<FoodItem> mData = new ArrayList<FoodItem>();
	private static LayoutInflater mInflater;

    public FoodImageAdapter(Context context) {
        mContext=context; 
    }
    
    public void addItems(FoodItem[] items)
    {
    	for (FoodItem f:items)
    	{
    		addItem(f);    		
    	}
    	notifyDataSetChanged();
    }
    
    public void addItem(FoodItem f)
    {
    	mData.add(f);
    	notifyDataSetChanged();
    }
    
    public void removeItem(int position)
    {
    	mData.remove(position);
    	notifyDataSetChanged();
    }
   
    @Override
    public int getCount() {
        return mData.size();
    }

    @Override
    public FoodItem getItem(int position) {
        return mData.get(position);
    }

    @Override
    public long getItemId(int position) {
        return position;
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
    	
    	LinearLayout layout;
    	ImageView imageView;
    	TextView textView;
		
		FoodItem f = mData.get(position);
		
    	if (convertView == null){    

    		imageView = new ImageView(mContext);
    		imageView.setLayoutParams(new GridView.LayoutParams(85,85));
    		imageView.setPadding(8, 8, 8, 4);
    		imageView.setScaleType(ImageView.ScaleType.CENTER_CROP);
    		imageView.setImageResource(mData.get(position).imgID); //mData.get(position).imgID
        	imageView.setTag(mData.get(position).name);
        	
    		textView = new TextView(mContext);
    		textView.setText(f.name);
    		
    		layout = new LinearLayout(mContext);
    		layout.setOrientation(LinearLayout.VERTICAL);
    		layout.addView(imageView);
    		layout.addView(textView);
    		
    	}
    	else{
    		layout=(LinearLayout) convertView;
    	}    	
    	
    	return layout;
    	
    }
//    private Food[] mData = {
//    		new Food(FoodType.Vegetable, "Brocolli",null, 0, R.drawable.icon),new Food(FoodType.Bread, "French Bread",null, 0, R.drawable.icon),
//    		new Food(FoodType.Fruit, "Applesauce",null, 0, R.drawable.icon),new Food(FoodType.Rice, "White Rice",null, 0, R.drawable.icon),
//    		new Food(FoodType.Dairy, "Cheddar Cheese",null, 0, R.drawable.icon),new Food(FoodType.Meat, "Steak",null, 0, R.drawable.icon)
//    };  
}


