package mqp.momometer.adapters;

import java.util.ArrayList;

import mqp.momometer.R;
import mqp.momometer.classes.FoodItem;
import mqp.momometer.classes.FoodType;
import android.app.Activity;
import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.TextView;

public class FoodInputListAdapter extends BaseAdapter {
	private Activity activity;
	private ArrayList<FoodItem> mData = new ArrayList<FoodItem>();
	private String[] data = { "1", "2", "3", "4", "5" };
	private static LayoutInflater inflater = null;

	public FoodInputListAdapter(Activity a) {
		activity = a;
		inflater = (LayoutInflater) activity
				.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
	}

	public int getCount() {
		return mData.size();
	}

	public Object getItem(int position) {
		return position;
	}

	public long getItemId(int position) {
		return position;
	}

	public void addItem(FoodItem f) {
		
		// Check if food is already in the list
		for (FoodItem food : mData)
		{
			if (food.equals(f))
			{
				food.addServings(f.getServings());
				notifyDataSetChanged();
				return;
			}
		}
		
		// If food is not in list 
		mData.add(f);
		notifyDataSetChanged();
	}

	public void removeItem(int position) {
		mData.remove(position);
		notifyDataSetChanged();
	}

	public FoodItem[] getSelectedFood() {
		return (FoodItem[]) this.mData.toArray(new FoodItem[mData.size()]);
	}

	public static class ViewHolder {
		public TextView servings;
		public TextView name;
	}

	public View getView(int position, View convertView, ViewGroup parent) {
		View vi = convertView;
		ViewHolder holder;
		if (convertView == null) {
			vi = inflater.inflate(R.layout.foodinputitem, null);
			holder = new ViewHolder();
			holder.name = (TextView) vi.findViewById(R.id.txtFoodName);
			holder.servings = (TextView) vi.findViewById(R.id.txtFoodServings);
			vi.setTag(holder);
		} else
			holder = (ViewHolder) vi.getTag();

		holder.name.setText(mData.get(position).name);
		holder.servings.setText(((Integer) (mData.get(position).servings))
				.toString());
		return vi;
	}

	// private Food[] mData = {
	// new Food(FoodType.Vegetable, "Brocolli",null, 0, R.drawable.icon, 2),new
	// Food(FoodType.Bread, "French Bread",null, 0, R.drawable.icon, 1),
	// new Food(FoodType.Fruit, "Applesauce",null, 0, R.drawable.icon, 3),new
	// Food(FoodType.Rice, "White Rice",null, 0, R.drawable.icon, 3),
	// new Food(FoodType.Dairy, "Cheddar Cheese",null, 0, R.drawable.icon,
	// 1),new Food(FoodType.Meat, "Steak",null, 0, R.drawable.icon, 2)
	// };
}