package mqp.momometer.adapters;

import java.util.ArrayList;

import mqp.momometer.R;
import mqp.momometer.adapters.FoodInputListAdapter.ViewHolder;
import mqp.momometer.classes.FoodItem;
import android.app.Activity;
import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

public class FoodListAdapter extends BaseAdapter{
	private ArrayList<FoodItem> mData = new ArrayList<FoodItem>();
	private static LayoutInflater mInflater;

    public FoodListAdapter(Context context) {
    	mInflater = LayoutInflater.from(context); 
    }

    public int getCount() {
        return mData.size();
    }

    public Object getItem(int position) {
        return position;
    }

    public long getItemId(int position) {
        return position;
    }
    
    public void addItem(FoodItem f)
    {
    	mData.add(f);
    	notifyDataSetChanged();
    }
    
    public void removeItem(int position)
    {
    	mData.remove(position);
    	notifyDataSetChanged();
    }
    
    public static class ViewHolder{
        public TextView servings;
        public TextView name;
    }

    public View getView(int position, View convertView, ViewGroup parent) {        
        ViewHolder holder;
        if(convertView==null){
            convertView = mInflater.inflate(R.layout.foodinputitem, null);
            holder=new ViewHolder();
            holder.name=(TextView)convertView.findViewById(R.id.txtFoodName);
            holder.servings=(TextView)convertView.findViewById(R.id.txtFoodServings);
            convertView.setTag(holder);
        }
        else
            holder=(ViewHolder)convertView.getTag();
        
        holder.name.setText(mData.get(position).name);
        holder.servings.setText(((Integer)(mData.get(position).servings)).toString());
        return convertView;
    }
}
