package mqp.momometer.adapters;

import java.util.ArrayList;
import mqp.momometer.R;
import mqp.momometer.classes.Reminder;
import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

public class RemindersListAdapter extends BaseAdapter{
	private ArrayList<Reminder> mData = new ArrayList<Reminder>();
    private LayoutInflater mInflater;

    
    public RemindersListAdapter(Context context) {
        mInflater = LayoutInflater.from(context); 
    }

    public void addItem(final Reminder item) {
        mData.add(item);            
        notifyDataSetChanged();
    }
    
    public void addItems(Reminder[] items)
    {
    	for (Reminder r:items)
    	{
    		addItem(r);    		
    	}
    	notifyDataSetChanged();
    }
    
    public void removeItem(int position)
    {
    	mData.remove(position);
    	notifyDataSetChanged();
    }

    @Override
    public int getCount() {
        return mData.size();
    }

    @Override
    public Reminder getItem(int position) {
        return mData.get(position);
    }

    @Override
    public long getItemId(int position) {
        return position;
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
        //System.out.println("getView " + position + " " + convertView);
        ViewHolder holder = null;
        if (convertView == null) {
            convertView = mInflater.inflate(R.layout.weightreminderslst, null);
            holder = new ViewHolder();
            holder.textView = (TextView)convertView.findViewById(R.id.txtweightremindertime);
            holder.textView2 = (TextView)convertView.findViewById(R.id.txtweightreminderdays);
            convertView.setTag(holder);
        } else {
            holder = (ViewHolder)convertView.getTag();
        }
        
        Reminder r = mData.get(position);
        holder.textView.setText(r.getTimeString());
        
        String days = r.getDaysString();
//        for (String d:r.getDays())
//        {
//        	days += d + ", ";
//        }
        holder.textView2.setText(days);
        return convertView;
    }
    
    public static class ViewHolder {
        public TextView textView;
        public TextView textView2;
    }
    

}
