package mqp.momometer.alarms;

import mqp.momometer.R;
import android.app.Notification;
import android.app.NotificationManager;
import android.app.PendingIntent;
import android.content.Context;

public class NotificationController {
	
	public static void PushNotification(Context context, int activityType, String tickerText, PendingIntent pIntent, String contentText )
	{
		 // Create Ongoing Notification here
        NotificationManager mNotificationManager = (NotificationManager) context.getSystemService(Context.NOTIFICATION_SERVICE);
        
        Notification ongoing = new Notification();
        ongoing.icon = R.drawable.ic_notification_baby_bottle; //Notification Icon
        ongoing.tickerText = tickerText;
        ongoing.flags |= Notification.FLAG_ONGOING_EVENT; //Make Notification On-going
        ongoing.when = System.currentTimeMillis() + 5*1000; //Notification time
        
        ongoing.setLatestEventInfo(context, "MomOMeter", contentText, pIntent);
        
        mNotificationManager.notify(activityType, ongoing);      
	}
	
	public static void RemoveNotification(Context context, int activityType)
	{
		NotificationManager mNotificationManager = (NotificationManager) context.getSystemService(Context.NOTIFICATION_SERVICE);
		mNotificationManager.cancel(activityType);
	}
}
