package mqp.momometer.classes;

import java.util.ArrayList;

public class FoodDataPointSet {

	private ArrayList<FoodDataPoint> datapoints;	
	
	public FoodDataPointSet()
	{
		datapoints = new ArrayList<FoodDataPoint>();
	}
	
	public boolean put(FoodDataPoint dp)
	{
		return datapoints.add(dp);		
	}
	
	public int getLength()
	{
		return datapoints.size();
	}
	
	public String GetXValuesSeparatedByComma()
	{
		String xValues = "";
				
		for (int i = 0; i < datapoints.size(); i++)
		{
			xValues += String.valueOf(datapoints.get(i).x);
			if (i != datapoints.size() - 1) 
			{
				xValues +=",";
			}
		}
		return xValues;
	}
	
	public String GetYValuesSeparatedByComma()
	{
		String yValues = "";
				
		for (int i = 0; i < datapoints.size(); i++)
		{
			yValues += String.valueOf(datapoints.get(i).y);
			if (i != datapoints.size() - 1) 
			{
				yValues +=",";
			}
		}
		return yValues;
	}
	
	public double GetHighestYValue()
	{
		double highestVal = 0;
		for (FoodDataPoint dp : datapoints)
		{
			if (dp.y > highestVal)
			{
				highestVal = dp.y;
			}
		}
		return highestVal;
	}
	
	public double GetLowestYValue()
	{
		double lowestVal = datapoints.get(0).y;
		for (FoodDataPoint dp : datapoints)
		{
			if (dp.y < lowestVal)
			{
				lowestVal = dp.y;
			}
		}
		return lowestVal;
	}
	
	public double GetHighestXValue()
	{
		double highestVal = 0;
		for (FoodDataPoint dp : datapoints)
		{
			if (dp.x > highestVal)
			{
				highestVal = dp.x;
			}
		}
		return highestVal;
	}
	
	public double GetLowestXValue()
	{
		double lowestVal = datapoints.get(0).x;
		for (FoodDataPoint dp : datapoints)
		{
			if (dp.x < lowestVal)
			{
				lowestVal = dp.x;
			}
		}
		return lowestVal;
	}
}
