package mqp.momometer.classes;

import java.text.SimpleDateFormat;
import java.util.Date;


public class Reminder {
	
	public void setId(int id) {
		this.id = id;
	}

	public Reminder(int id, int type, Day[] days, Date time) {
		super();
		this.id = id;
		this.type = type;
		this.days = days;
		this.time = time;
	}
	
	/**
	 * Get the id given by the database
	 * @return int - the id of the reminder
	 */
	public int getId()
	{
		return id;
	}
	
	/**
	 * Get the type of reminder
	 * @return int - type of reminder
	 */
	public int getType() {
		return type;
	}
	
	/**
	 * Get the array of days
	 * @return Day[] - array of days
	 */
	public Day[] getDays() {
		return days;
	}
		
	public Date getTime() {
		return time;
	}
	
	public String getTimeString()
	{
		SimpleDateFormat formatter = new SimpleDateFormat("h:mm a");
		return formatter.format(time);
	}
	
	public String getDaysString()
	{
		String daysString = "";
		
		for (int i =0; i < days.length; i++)
		{
			daysString += days[i].getShortDescription();
			if (i < days.length-1) daysString += ", ";
		}
		return daysString;
	}
	
	private int id;
	private int type;
	private Day[] days;
	private Date time;
}
