package mqp.momometer.dialogs;

import mqp.momometer.adapters.FoodImageAdapter;
import mqp.momometer.adapters.FoodInputListAdapter;
import mqp.momometer.classes.FoodItem;
import mqp.momometer.R;
import android.app.Dialog;
import android.content.Context;
import android.os.Bundle;
import android.view.View;
import android.view.Window;
import android.widget.AdapterView;
import android.widget.Button;
import android.widget.GridView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.TextView;

public class FoodGalleryDialog extends Dialog{

	private FoodImageAdapter gridViewFoodAdapter;
	private FoodInputListAdapter foodInputListAdapter;
	private Context context;
	
	public FoodGalleryDialog(Context context, FoodImageAdapter foodAdapter, FoodInputListAdapter inputListAdapter) {
		super(context);
		gridViewFoodAdapter = foodAdapter;
		foodInputListAdapter = inputListAdapter;
		this.context = context;
	}
	
	@Override
	public void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		requestCustomTitle();
		
		GridView gridView = new GridView(context);
		gridView.setNumColumns(GridView.AUTO_FIT);
		gridView.setAdapter(gridViewFoodAdapter);
		gridView.setBackgroundColor(R.color.colorWhite);

		
		// set listeners for each item
		OnItemClickListener gridClickListener = new OnItemClickListener() {
			public void onItemClick(AdapterView<?> parent,
					View v, int position, long id) {
													
				// Show the information screen
				final FoodItem f = gridViewFoodAdapter.getItem(position);			
				FoodInfoInputDialog foodInfoInputDialog = new FoodInfoInputDialog(context,f,foodInputListAdapter);
				foodInfoInputDialog.show();
				FoodGalleryDialog.this.dismiss();
			}
		};
		
		gridView.setOnItemClickListener(gridClickListener);
		setContentView(gridView);
		//getWindow().setTitleColor(context.getResources().getColor(R.color.colorWhite));
		setCustomTitle("Choose Food");
	}
	
	//request to set for custom title bar
	protected void requestCustomTitle()
	{
		requestWindowFeature(Window.FEATURE_CUSTOM_TITLE);
	}

	//set custom title bar
	protected void setCustomTitle(String msg)
	{
	//set custom title bar
		getWindow().setFeatureInt(Window.FEATURE_CUSTOM_TITLE, R.layout.custom_titlebar);
		TextView tv = (TextView) getWindow().findViewById(R.id.headerTitleTxtVw);
		tv.setText(msg);
	}

}
