package mqp.momometer.dialogs;

import mqp.momometer.R;
import mqp.momometer.adapters.FoodInputListAdapter;
import mqp.momometer.classes.FoodItem;
import android.app.Dialog;
import android.content.Context;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ImageView;
import android.widget.ImageView.ScaleType;
import android.widget.TextView;

public class FoodInfoInputDialog extends Dialog{

	private Context context;
	private FoodInputListAdapter foodInputListAdapter;
	private FoodItem food;
	
	public FoodInfoInputDialog(Context context, FoodItem food, FoodInputListAdapter inputListAdapter) {
		super(context);
		this.context = context;
		foodInputListAdapter = inputListAdapter;
		this.food = food;
		// TODO Auto-generated constructor stub
	}
	
	@Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.foodinformationinput);
        
		setTitle("Food Information");
		getWindow().setTitleColor(context.getResources().getColor(R.color.colorWhite));
		
        String descriptionText = food.getName() + 
        					     "\nDescription: " + food.getNutrition() + 
        					     "\nCalories: " + food.getCalories(); 
        
        TextView txtView = (TextView)findViewById(R.id.txtFoodInfoInput);
        txtView.setText(descriptionText);
        
        ImageView imgView = (ImageView)findViewById(R.id.imgFoodInfoInput);
        //imgView.setImageResource(food.getId());
        imgView.setImageResource(food.getImgID());
        imgView.setAdjustViewBounds(true);
        imgView.setScaleType(ImageView.ScaleType.CENTER_INSIDE);
        
        Button btnOk = (Button)findViewById(R.id.btnFoodInfoInputOk);
        btnOk.setOnClickListener(new View.OnClickListener() {
			
			@Override
			public void onClick(View v) {
				// TODO Auto-generated method stub
				EditText servings = (EditText)findViewById(R.id.txtNumServings);
				food.servings = Integer.parseInt(servings.getText().toString());
				foodInputListAdapter.addItem(food);
				FoodInfoInputDialog.this.dismiss();
			}
		});
        
        Button btnCancel = (Button)findViewById(R.id.btnFoodInfoInputCancel);
        btnCancel.setOnClickListener(new View.OnClickListener() {
			
			@Override
			public void onClick(View v) {
				// TODO Auto-generated method stub
				FoodInfoInputDialog.this.dismiss();
			}
		});
    }



}
