package mqp.momometer.feedback;

import mqp.momometer.classes.ActivityDataPoint;
import android.content.Context;

public class ActivityFeedBackGenerator {

	public static int GetQuantitativeFeedback(Context context, ActivityDataPoint data)
	{
		// For now we are just keeping track of whether the patient exercises at least 30mins
		int exercisingTime = data.getExercising();
		
		// 280 is the length of the progress bar
		if (exercisingTime < 30){
			return (exercisingTime / 30) * 280;  
		}
		else {
			return 280; 
		}												
	}	
	
	public static String GetQualitativeFeedback(Context context, int exercisingTime) {
		if (exercisingTime >= 30) {
			return "You are doing great in keeping up with your exercising! Remember, exercising at least 30 minutes a day is good for both your health and the baby's health.";
		}
		else if (exercisingTime == 0){
			return "You have not exercised today. Remember, exercising at least 30 minutes a day is good for both your health and the baby's health.";
		}
		else {
			return "You are doing good. Keep it up! You need at least 30 minutes of exercise a day in order to ensure you and the baby are healthy!.";
		}
	}
}
