package mqp.momometer.helpers;

import mqp.momometer.R;
import mqp.momometer.classes.ActivityType;
import android.content.res.Resources;
import android.graphics.drawable.Drawable;
import android.content.Context;


/**
 * This class generates Drawable image for each activity.
 * @author KMDesktop
 *
 */
public class ActivityImageGenerator {

	public static Drawable GetActivityImageFromActivity(Context context, int activity){
		Resources res = context.getResources();
		Drawable drawable = res.getDrawable(R.drawable.ic_activity);

		switch (activity)
		{
			case ActivityType.WEIGHTTRACKING:
				drawable = res.getDrawable(R.drawable.ic_weight_mini);
				break;
			case ActivityType.ACTIVITYTRACKING:
				drawable = res.getDrawable(R.drawable.ic_activity_mini);
				break;
			case ActivityType.FOODTRACKING:
				drawable = res.getDrawable(R.drawable.ic_food_mini);
				break;
			case ActivityType.PROGRESSTRACKING:
				drawable = res.getDrawable(R.drawable.ic_progress_mini);
				break;
			case ActivityType.REMINDERSETTINGS:
				drawable = res.getDrawable(R.drawable.ic_reminder_mini);
				break;
			case ActivityType.PROFILESETTINGS:
				drawable = res.getDrawable(R.drawable.ic_profile_mini);
				break;	
		}
		return drawable;
	}

	
}
