package mqp.momometer.helpers;

import android.app.AlertDialog;
import android.app.DatePickerDialog;
import android.app.DatePickerDialog.OnDateSetListener;
import android.app.Dialog;
import android.app.TimePickerDialog;
import android.app.TimePickerDialog.OnTimeSetListener;
import android.content.Context;
import android.content.DialogInterface;
import android.content.DialogInterface.OnClickListener;
import android.content.DialogInterface.OnMultiChoiceClickListener;
import android.widget.Toast;

public class DialogHandler {

	public static Dialog createSingleSelectionDialog(String title,
			CharSequence[] items, Context context, OnClickListener listener) {
		AlertDialog.Builder builder = new AlertDialog.Builder(context);
		builder.setTitle(title);
		builder.setItems(items, listener);
		builder.setNegativeButton("Cancel", new OnClickListener() {

			@Override
			public void onClick(DialogInterface dialog, int which) {
				// TODO Auto-generated method stub
				dialog.cancel();
			}
		});
		Dialog dialog = builder.create();
		return dialog;
	}

	public static Dialog createCommonFoodDialog(String title,
			CharSequence[] items, Context context, OnClickListener listener,
			OnClickListener morebtnClickListener) {
		AlertDialog.Builder builder = new AlertDialog.Builder(context);
		builder.setTitle(title);
		builder.setItems(items, listener);
		builder.setPositiveButton("...more", morebtnClickListener);
		builder.setNegativeButton("Cancel", new OnClickListener() {

			@Override
			public void onClick(DialogInterface dialog, int which) {
				// TODO Auto-generated method stub
				dialog.cancel();
			}
		});
		Dialog dialog = builder.create();
		return dialog;
	}
/*
	public static Dialog createGridViewDialog(String title,
			final FoodImageAdapter foodAdapter, final Context context, final FoodInputListAdapter adapter) {
		
		// set listeners for each item
		OnItemClickListener gridClickListener = new OnItemClickListener() {
			public void onItemClick(AdapterView<?> parent,
					View v, int position, long id) {
													
				// Show the information screen
				final Food f = foodAdapter.getItem(position);
				OnClickListener foodItemListener = new OnClickListener(){

					@Override
					public void onClick(
							DialogInterface dialog,
							int which) {
						// TODO Auto-generated method stub
						adapter.addItem(f);
						dialog.dismiss();
					}
					
				};								
				DialogHandler.createFoodInfoDialog("Food Information", f, context, foodItemListener).show();
				//f.servings = 1;
				//adapter.addItem(f);
				
			}
		};
		
		
		GridView gridView = new GridView(context);
		gridView.setNumColumns(GridView.AUTO_FIT);
		gridView.setAdapter(foodAdapter);
		gridView.setOnItemClickListener(gridClickListener);

		AlertDialog.Builder builder = new AlertDialog.Builder(context);
		builder.setTitle(title);
		builder.setView(gridView);

		builder.setNegativeButton("Cancel", new OnClickListener() {

			@Override
			public void onClick(DialogInterface dialog, int which) {
				// TODO Auto-generated method stub
				dialog.cancel();
			}
		});
		Dialog dialog = builder.create();
		return dialog;

	}
	
	public static Dialog createFoodInfoDialog(String title,
			Food food, Context context, OnClickListener listener)
	{
		AlertDialog.Builder builder = new AlertDialog.Builder(context);
//		builder.setTitle(title);
//		builder.setPositiveButton("Ok", listener);
//
//		
		final Dialog dialog = new Dialog(context);
		dialog.setContentView(R.layout.foodinformationinput);
		Button b = (Button)dialog.findViewById(R.id.btnFoodInfoInputOk);
		b.setOnClickListener(new View.OnClickListener(){

			@Override
			public void onClick(View v) {
				// TODO Auto-generated method stub
				dialog.dismiss();				
			}
			
		});
		return dialog;
	}*/

	public static Dialog createMultiSelectionDialog(String title,
			CharSequence[] items, Context context, OnClickListener listener,
			OnMultiChoiceClickListener multiListener) {
		AlertDialog.Builder builder = new AlertDialog.Builder(context);
		builder.setTitle(title);
		builder.setMultiChoiceItems(items, null, multiListener);
		builder.setPositiveButton("Ok", listener);
		Dialog dialog = builder.create();
		return dialog;
	}

	public static Dialog createTimePickerDialog(Context context,
			OnTimeSetListener listener, int hour, int min, boolean standard) {
		return new TimePickerDialog(context, listener, hour, min, standard);
	}
	
	public static Dialog createDatePickerDialog(Context context, OnDateSetListener listener, int year, int monthOfYear, int dayOfMonth)
	{
		return new DatePickerDialog(context, listener, year, monthOfYear, dayOfMonth);
	}

	/** Toast Notification **/
	public static void toastNotify(Context context, CharSequence toastMessage) {
		CharSequence text = toastMessage;
		int duration = Toast.LENGTH_SHORT;

		Toast toast = Toast.makeText(context, text, duration);
		toast.show();
	}
}
