package mqp.momometer.helpers;

import java.util.ArrayList;

import mqp.momometer.ActivityDetailsActivity;
import mqp.momometer.ActivityInputActivity;
import mqp.momometer.ActivityOverviewActivity;
import mqp.momometer.FoodDetailsActivity;
import mqp.momometer.FoodInputActivity;
import mqp.momometer.FoodOverviewActivity;
import mqp.momometer.ProfileDisclaimerActivity;
import mqp.momometer.ProfileUserInfoActivity;
import mqp.momometer.ProgressOverviewActivity;
import mqp.momometer.R;
import mqp.momometer.ReminderSettingActivity;
import mqp.momometer.WeightDetailsActivity;
import mqp.momometer.WeightInputActivity;
import mqp.momometer.WeightOverviewActivity;
import mqp.momometer.classes.ActivityType;
import mqp.momometer.classes.TabViewInformation;
import android.content.Context;
import android.content.Intent;

public class TabFactory {
	public static ArrayList<TabViewInformation> GetTabInformationFromActivity(Context context, int activity)
	{
		ArrayList<TabViewInformation> listOfTabs = new ArrayList<TabViewInformation>();
		
		switch (activity)
		{
			case ActivityType.WEIGHTTRACKING:
				listOfTabs.add(
						new TabViewInformation(
						new Intent().setClass(context, WeightOverviewActivity.class),
						"Overview", R.drawable.ic_tab_overview_unselected_mdpi));
				listOfTabs.add(
						new TabViewInformation(
						new Intent().setClass(context, WeightDetailsActivity.class),
						"Details", R.drawable.ic_tab_details_unselected_mdpi));
				listOfTabs.add(
						new TabViewInformation(
						new Intent().setClass(context, WeightInputActivity.class),
						"Input", R.drawable.ic_tab_weight_input_unselected_mdpi));
				break;
			case ActivityType.ACTIVITYTRACKING:
				listOfTabs.add(
						new TabViewInformation(
						new Intent().setClass(context, ActivityOverviewActivity.class),
						"Overview", R.drawable.ic_tab_overview_unselected_mdpi));
				listOfTabs.add(
						new TabViewInformation(
						new Intent().setClass(context, ActivityDetailsActivity.class),
						"Details", R.drawable.ic_tab_details_unselected_mdpi));
				listOfTabs.add(
						new TabViewInformation(
						new Intent().setClass(context, ActivityInputActivity.class),
						"Input", R.drawable.ic_tab_activity_input_unselected_mdpi));
				break;
			case ActivityType.FOODTRACKING:
				listOfTabs.add(
						new TabViewInformation(
						new Intent().setClass(context, FoodOverviewActivity.class),
						"Overview", R.drawable.ic_tab_overview_unselected_mdpi));
				listOfTabs.add(
						new TabViewInformation(
								new Intent().setClass(context, FoodDetailsActivity.class),
						"Details", R.drawable.ic_tab_details_unselected_mdpi));
				listOfTabs.add(
						new TabViewInformation(
						new Intent().setClass(context, FoodInputActivity.class),
						"Input",R.drawable.ic_tab_food_input_unselected_mdpi));
				break;
			case ActivityType.PROGRESSTRACKING:
				listOfTabs.add(
						new TabViewInformation(
						new Intent().setClass(context, ProgressOverviewActivity.class),
						"Overview", R.drawable.ic_tab_overview_unselected_mdpi));
				/*listOfTabs.add(
						new TabViewInformation(
						new Intent().setClass(context, ProgressOverviewActivity.class),
						"Details", R.drawable.ic_tab_details_unselected_mdpi));*/
				/*				listOfTabs.add(
						new TabViewInformation(
						new Intent().setClass(context, WeightInputActivity.class),
						"Input"));*/
				break;
			case ActivityType.REMINDERSETTINGS:
				listOfTabs.add(
						new TabViewInformation(
						new Intent().setClass(context,  ReminderSettingActivity.class).putExtra("reminderType", ActivityType.WEIGHTTRACKING),
						"Weight", R.drawable.ic_tab_reminder_input_unselected_mdpi));
				listOfTabs.add(
						new TabViewInformation(
						new Intent().setClass(context, ReminderSettingActivity.class).putExtra("reminderType", ActivityType.ACTIVITYTRACKING),
						"Activity", R.drawable.ic_tab_reminder_input_unselected_mdpi));
				listOfTabs.add(
						new TabViewInformation(
						new Intent().setClass(context, ReminderSettingActivity.class).putExtra("reminderType", ActivityType.FOODTRACKING),
						"Nutrition", R.drawable.ic_tab_reminder_input_unselected_mdpi));
				break;
			case ActivityType.PROFILESETTINGS:
				listOfTabs.add(
						new TabViewInformation(
						new Intent().setClass(context, ProfileUserInfoActivity.class),
						"Information", R.drawable.ic_tab_profile_unselected));
				listOfTabs.add(
						new TabViewInformation(
						new Intent().setClass(context, ProfileDisclaimerActivity.class),
						"Disclaimer", R.drawable.ic_tab_disclaimer_unselected));
				break;	
		}
		return listOfTabs;		
	}
}
